epp_DomainUpdateAddRemove (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.domain.epp_DomainUpdateAddRemove class

### org.openrtk.idl.epprtk.domain

# Class epp_DomainUpdateAddRemove

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.domain.epp_DomainUpdateAddRemove`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainUpdateAddRemove`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements to be added into or removed from the domain object in the registry. This class can only be used when modifying a domain object. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/domain/epp_DomainUpdateAddRemove.java,v 1.1 2004/12/07 15:27:50 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:50 $

See Also:
  `epp_DomainUpdateReq.setAdd(epp_DomainUpdateAddRemove)`, `epp_DomainUpdateReq.setRemove(epp_DomainUpdateAddRemove)`

  ## Field Summary
  `epp_DomainContact[]` | `m_contacts` The array of contact objects to be associated with or removed from the domain object.
  `String[]` | `m_name_servers` The array of name servers to be associated with or removed from the domain object.
  `epp_DomainStatus[]` | `m_status` The array of status to be associated with or removed from the domain object.

  ## Constructor Summary
  `epp_DomainUpdateAddRemove()` Empty constructor
  `epp_DomainUpdateAddRemove(String[] _m_name_servers, epp_DomainContact[] _m_contacts, epp_DomainStatus[] _m_status)` The constructor with initializing variables.

  ## Method Summary
  `epp_DomainContact[]` | `getContacts()` Accessor method for the array of domain contact objects
  `String[]` | `getNameServers()` Accessor method for the array of domain name servers
  `epp_DomainStatus[]` | `getStatus()` Accessor method for the array of domain status values
  `void` | `setContacts(epp_DomainContact[] value)` Accessor method for the array of domain contact objects
  `void` | `setNameServers(String[] value)` Accessor method for the array of domain name servers
  `void` | `setStatus(epp_DomainStatus[] value)` Accessor method for the array of domain status values
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_contacts

    public epp_DomainContact[] m_contacts

> The array of contact objects to be associated with or removed from the domain object. Contact objects must exist in the registry
> See Also:
>   `setContacts(epp_DomainContact[])`, `getContacts()`

### m_name_servers

    public String[] m_name_servers

> The array of name servers to be associated with or removed from the domain object. Name servers must exist in the registry
> See Also:
>   `setNameServers(String[])`, `getNameServers()`

### m_status

    public epp_DomainStatus[] m_status

> The array of status to be associated with or removed from the domain object.
> See Also:
>   `setStatus(epp_DomainStatus[])`, `getStatus()`

## Constructor Details

### epp_DomainUpdateAddRemove

    public epp_DomainUpdateAddRemove()

> Empty constructor

### epp_DomainUpdateAddRemove

    public epp_DomainUpdateAddRemove(String[] _m_name_servers,
                                     epp_DomainContact[] _m_contacts,
                                     epp_DomainStatus[] _m_status)

> The constructor with initializing variables.
> Parameters:
>   `_m_name_servers` - The array of name servers
>   `_m_contacts` - The array of contact objects
>   `_m_status` - The array of domain status values

## Method Details

### getContacts

    public epp_DomainContact[] getContacts()

> Accessor method for the array of domain contact objects
> Returns:
>   The array of domain contacts
> See Also:
>   `m_contacts`

### getNameServers

    public String[] getNameServers()

> Accessor method for the array of domain name servers
> Returns:
>   The array of domain name servers
> See Also:
>   `m_name_servers`

### getStatus

    public epp_DomainStatus[] getStatus()

> Accessor method for the array of domain status values
> Returns:
>   The array of domain status values
> See Also:
>   `m_status`

### setContacts

    public void setContacts(epp_DomainContact[] value)

> Accessor method for the array of domain contact objects
> Parameters:
>   `value` - The array of domain contacts
> See Also:
>   `m_contacts`

### setNameServers

    public void setNameServers(String[] value)

> Accessor method for the array of domain name servers
> Parameters:
>   `value` - The array of domain name servers
> See Also:
>   `m_name_servers`

### setStatus

    public void setStatus(epp_DomainStatus[] value)

> Accessor method for the array of domain status values
> Parameters:
>   `value` - The array of domain status values
> See Also:
>   `m_status`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS